For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
          • GETGet returns
          • GETGet returns for an order
          • GETGet return
          • PUTCreate a return
          • GETGet the refunded amounts for the return
          • POSTMark the return as complete
          • POSTReport errors encountered when processing the return refund
LogoLogo
RESTFeedAMP Order SourceReturns

Report errors encountered when processing the return refund

POST
https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/:mp_order_number/returns/:mp_return_number/errors
POST
/api/v1/orders/:mp_order_number/returns/:mp_return_number/errors
$curl -X POST https://marketplace-order-api.feedamp.feedonomics.com/api/v1/orders/mp_order_number/returns/mp_return_number/errors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "code": "EXCESS_REFUND",
> "message": "Requested refund amount for line exceeds line cost"
> }
>]'

When the market encounters errors when processing a seller initiated-refund, this endpoint allows the marketplace to report error(s) for the refund

Was this page helpful?
Previous

Mark the return as complete

Next

Changelog

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

mp_order_numberstringRequired
The unique Id for an order that is generated by the marketplace
mp_return_numberstringRequired
The unique Id for the return that is generated by the marketplace

Request

This endpoint expects a list of objects.
codeenumRequired
Code to uniquely identify the type of error
messagestringRequired
The error message for the error code

Response

Error reported

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error